Subject: Re: bug#45200: [PATCH] Force Glibc to free the memory freed

From: Konstantin Kharlamov <[email-masked]>
Date: Wed, 03 Feb 2021 18:01:30 +0300

On Wed, 2021-02-03 at 16:51 +0200, Eli Zaretskii wrote:
> > From: Konstantin Kharlamov <[email-masked]>
> > Date: Wed, 03 Feb 2021 12:49:47 +0300
> > Cc: [email-masked], [email-masked], [email-masked],
> > [email-masked]
> > 
> > Second, if Emacs indeed sees it's gonna allocate memory again right away,
> > then it shouldn't have even freed the memory in the first place.
> 
> You are not serious here, are you?  How could Emacs possibly know, at
> the level that does GC, whether the Lisp program that currently runs
> will need more memory in the future?  The program itself may know that
> (and then it may not, if memory is allocated by some low-level
> primitive), but GC itself?  If you think it can have powers for such
> prophecy, we should probably use that to write a program to advise us
> which shares to buy, and get rich -- fast.

Yeah, you're right, never mind this text, I think I kinda misinterpreted two sentences I was answering to.